import type { DataPoint } from "@d3plus/data";
import Viz from "./Viz.js";
/**
    Uses the [d3 pie layout](https://github.com/d3/d3-shape#pies) to creates SVG arcs based on an array of data.
*/
export default class Pie extends Viz {
    [key: string]: any;
    /**
        Invoked when creating a new class instance, and sets any default parameters.
        @private
    */
    constructor();
    /**
        Extends the draw behavior of the abstract Viz class.
        @private
    */
    _draw(callback?: () => void): this;
    /**
        The pixel value, or function that returns a pixel value, that is used as the inner radius of the Pie (creating a Donut).
  */
    innerRadius(_?: number | (() => number)): this | number | (() => number);
    /**
        The padding between each arc, set as a radian value between \`0\` and \`1\`.
  
  If set, this will override any previously set padPixel value.
  */
    padAngle(_?: number): this | number;
    /**
        The padding between each arc, set as a pixel number value.
  
  By default the value is \`0\`, which shows no padding between each arc.
  
  If \`padAngle\` is defined, the \`padPixel\` value will not be considered.
  */
    padPixel(_?: number): this | number;
    /**
        A comparator function that sorts the Pie slices.
  */
    sort(_?: (...args: unknown[]) => unknown): this | ((...args: unknown[]) => unknown);
    /**
        The accessor key for each data point used to calculate the size of each Pie section.
    */
    value(_?: string | ((d: DataPoint, i: number) => number)): this | string | ((d: DataPoint, i: number) => number);
}
